ADTF Launcher does not start
2019-06-14 15:30 - hidden

Status: Closed
Priority: Normal
Category:
Customer: PORSCHE Product Issue
Numbers:
Department: Affected Products: ADTF 2.14.1
Requester's Priority: Normal Platform: Windows 7 64bit
Support Level: 2nd Level Topic: ADTF::Launcher
Resolution: No Customer Feedback FAQ Links:
Description
Supportanfrage

seit neustem habe ich das Problem, dass beim Ausféhren der adtf_launcher.exe im ADTF2.14.1 folgende Fehlermeldung angezeigt
wird:
Command Line Switches:
-active="ACTIVE_COMFIG"
-config="filenarme.xml"
-globals="filenarmexml"
-help
-init
-minimized
-tray
-nosplash

-project="filename.prj"

-script="pythonscript.py”

-argv="argl arg2"

-playlist="filename.datpls"

-run

-init
-speed="SPEED"

-stdout

-logfile="logfile.tet”

-quit

-quit= <seconds>

-enable-license-logging
-skip_broken_dat _files

-version
-systermnlayout
-runninglayout

| "launcher MANIFEST-FILE [Command Line Switches]”

- Specify the active configuration.
- Specify configuration file.
- Specify global configuration file.
- Show this help.
- Initialize current configuration
after launch.
- Start the application minimized.
- Enable the system tray icon.
- Do not show initial splash screen at
program startup.
- Specify the project file, MOTE: This feature
is only usable with loaded project_tree and
adtf_xsystem services.
- Specify a python script file.
ADTF starts autornatically.
-script cannot be combined with -playlist
and supercedes it.
- Specifies a list of arguments that will
be passed to a called pythonscript.
- Specify play list file. ADTF starts automatically.
Cannet be combined with -script
- Start the current configuration after
launch. Current configuration is
specified in configxml.
- Initialize the current configuration.
- Set the playback speed. Valid values
are: 10 x1/8, /4, 112, , x2,
¥4, xB, Default value is »1.
The Application runs with maximum
speed if the value is x0.
- (Windows) Qutputs log messages to
console window.
Additionally suppresses possible dump file
creation dialog.
- Writes all stdout output to the given
logfile. The flag -stdout will be
set automatically.
The stderr output will be written in
"logfile_stderr.tet”. To get the
whole output in one file use
"launcher -stdout > logfile.bd 2> 81"
- Shutdown application after reaching
the end of file/playlist, the end of a script
or after stopping the configuration.
Will not set Dirty-Bit on active
configuration change.
(-run will be autoamtically setted).
- Shutdown the application after the
specified amount of time. Not supported
in combination with argurment -script.
(-run will be autcamtically setted).
- Specifies if log file with license check info will be created.
- Skip broken dat files in a playlist. This can be useful to
process a large amount of files. But keep in mind that this
option can cause strange behaviour in the program flow.
Broken files will be printed in the conscle log.
- Get the version information.
- Set a startup system layout.
- Set a running layout.

0K

Bei Bestéatigung durch Ok schlie3t sich ADTF direkt wieder.
Was kann ich da machen um ADTF wieder problemlos zu nutzen?

Lésung
Das ist keine Fehlermeldung, sondern der Hilfstext.

Da du kein Manifest File definiert hast, wird dir automatisch die Hilfe angezeigt (adtf_launcher.exe -help).
Du kannst den Launcher wie in der ersten Zeile beschrieben nicht ohne eine Manifest starten (Welche Services sollten geladen
werden ?)

Der Launcher macht nichts anderes, als ein definiertes ADTF System zu starten.

Die Devenv z.b. startet den Launcher mit dem Devenv Manifest.

Details siehe Doku:
e https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_adtf_launcher_main.html
¢ https://support.digitalwerk.net/adtf/v2/adtf sdk_html_docs/page_starting_adtf.html

¢ https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
o Kap. 4 ADTF Manifest File

History

#1 - 2019-06-14 15:49 - hidden

- Project changed from Public Support to 16

- Status changed from New to Customer Feedback Required
- Topic set to ADTF::Launcher

- Customer set to PORSCHE

- Affected Products ADTF 2.14.1 added

- Platform Windows 7 64bit added

Hallo Alexander,
das ist keine Fehlermeldung, sondern der Hilfstext.
Da du kein Manifest File definiert hast, wird dir automatisch die Hilfe angezeigt (adtf_launcher.exe -help).
Du kannst den Launcher wie in der ersten Zeile beschrieben nicht ohne eine Manifest starten (Welche Services sollten geladen werden ?)
Der Launcher macht nichts anderes, als ein definiertes ADTF System zu starten.
Die Devenv z.b. startet den Launcher mit dem Devenv Manifest.
Details siehe Doku:
e https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_adtf_launcher_main.html
e https://support.digitalwerk.net/adtf/v2/adtf sdk_html_docs/page_starting_adtf.html

e https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
o Kap. 4 ADTF Manifest File

#2 - 2019-06-24 16:05 - hidden

- Project changed from 16 to Public Support

- Subject changed from ADTF 2.14.1: Fehlermeldung beim Ausfiihren von ADTF_launcher.exe to ADTF Launcher does not start
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

Kein Fehler, kein weiteres Feedback

#3 - 2020-07-07 12:44 - hidden
- Status changed from To Be Closed to Closed
